GPOLYLINE(3NCARG)

NAME
gpolyline - Draw line segments connecting a sequence of user-specified coordinate pairs

SYNOPSIS
#include <ncarg/gks.h>

void gpolyline(const Gpoint_list *point_list);

DESCRIPTION
gpolyline (Polyline) - This output primitive draws line segments connecting a sequence of user-specified coordinate pairs.

point_list.num_points
    (Gint, Input) - The number of points in the line to be drawn. Must be larger than one.

point_list.points
    (Gint *, Input) - The X and Y coordinates (specified in world coordinates) of the point_list.num_points points to be connected by line segments.

USAGE
Note that the coordinate pairs must be in world coordinates and not user coordinates. Among other things, this means that the log scaling and mirror-imaging features available via the c_set call and the SPPS functions for drawing lines are not applicable here.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gset_linetype(3NCARG), gset_linewidth(3NCARG), gset_colr_rep(3NCARG), gset_line_colr_ind(3NCARG), ginq_linetype(3NCARG), ginq_linewidth(3NCARG), ginq_line_colr_ind(3NCARG), dashline(3NCARG), set(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version "The Use of X/Y Coordinates in NCAR Graphics" SCD User Document"

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.